0

I am trying to install snapd on Oracle Linux Server 7.9 On many sites I have seen that it has been advised to install spand as follows

 sudo yum install epel-release
 sudo yum -y install snapd

But I am not able to install this repo on Oracle Linux (No package epel-release available.) Following repos are available in the system

ol7_MySQL80/x86_64 
ol7_UEKR6/x86_64 
ol7_addons/x86_64 
ol7_developer_php74/x86_64
ol7_ksplice 
ol7_latest/x86_64 
ol7_oci_included/x86_64 
ol7_optional_latest/x86_64 
ol7_software_collections/x86_64 

Can someone tell me how to install snapd on Oracle Linux 7.9?

2
  • While I use neither OL nor snap, a quick internet search indicates that you may not need EPEL. Have you tried installing snap without EPEL? Or finding out how to install EPEL? Apr 17, 2021 at 18:57
  • Yes, I could not find snapd using yum.
    – Silkograph
    Apr 18, 2021 at 9:07

1 Answer 1

0

The EPEL repo installer for OL7 is called oracle-epel-release-el7. After installing that package, the snapd package should be available.

3
  • Yes, this solved my problem. It is applicable in all such scenarios? I mean, is it not going cause any conflict if I install another package using yum?
    – Silkograph
    Apr 18, 2021 at 9:10
  • This is the way you should install EPEL on Oracle Linux. It should not cause any problems, as this repository file is part of the official release, and points to Oracle's mirror of the EPEL repository.
    – Lacek
    Apr 18, 2021 at 14:31
  • Lacek's answer is applicable to Oracle Linux 8.x. May 23 at 7:17

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.